---


- name: check package
  hosts: all

  tasks:
    - name: check vim install
      ansible.builtin.yum:
        name: vim
        state: present
      check_mode: yes
      register: yum_result

    - name: debug info o vim

      ansible.builtin.debug:
        msg: "Vim is installed"
      when: yum_result.changed == false


    - name: debug info o vim
      ansible.builtin.debug:
        msg: "vim is not installed"
      when: yum_result.changed == true
